import { ContentConfig } from "/@/components/PageContent";
import { httpList } from "/@/api/invoiceInOut/summary";
import { renderIconLabelLeftValue } from "/@/utils/columnRenderHelper";

const columns = [
  {
    label: "封帐编号",
    prop: "fzCode",
    minWidth: 150
  },
  {
    label: "记帐月份",
    prop: "fz_date",
    minWidth: 70
  },
  // {
  //   label: "公司纳税识别号",
  //   prop: "TODO",
  //   minWidth: 160
  // },
  {
    label: "业务公司名称",
    minWidth: 160,
    ...renderIconLabelLeftValue(
      row => row.company_code,
      row => row.company_name,
      '业务公司纳税号:'
    )
  },
  {
    label: "状态",
    // prop: "TODO",
    minWidth: 100
  },
  {
    label: "封装操作人",
    prop: "apply_name",
    minWidth: 100
  },

  {
    label: "封装时间",
    prop: "create_time",
    minWidth: 120
  },

  {
    label: "操作",
    fixed: "right",
    slot: "operation",
    width: 160
  }
];

const contentConfig: ContentConfig = {
  columns,
  title: "商品管理",
  permissions: ["007"],
  apis: {
    httpList,
    httpAdd: true
  }
};

export default contentConfig;
